.classification {
    display: flex;
    align-items: center;
    justify-content: space-between;

    .wrapper-skeleton-custom {
        height: 210px;
        width: 210px;
        background-size: 0 100%;
    }

    .chart-skeleton {
        height: 100%;
        width: 100%;
        border-radius: 50%;
        background: linear-gradient(90deg, rgba(0, 0, 0, 0.06) 25%, rgba(0, 0, 0, 0.15) 37%, rgba(0, 0, 0, 0.06) 63%);
        background-size: 400% 100%;
        animation-name: loading-animation;
        animation-duration: 1.4s;
        animation-timing-function: ease;
        animation-iteration-count: infinite;

        @keyframes loading-animation {
            0% {
                background-position: 100% 50%;
            }

            100% {
                background-position: 0 50%;
            }
        }
    }

    .skeleton-custom {
        background-size: 0 50%;
        border-radius: 4px !important;
    }

    .cell-skeleton {
        height: 20px;
        width: 50%;
        background: linear-gradient(90deg, rgba(0, 0, 0, 0.06) 25%, rgba(0, 0, 0, 0.15) 37%, rgba(0, 0, 0, 0.06) 63%);
        background-size: 400% 100%;
        animation-name: loading-animation;
        animation-duration: 1.4s;
        animation-timing-function: ease;
        animation-iteration-count: infinite;
        border-radius: 4px;

        @keyframes loading-animation {
            0% {
                background-position: 100% 50%;
            }

            100% {
                background-position: 0 50%;
            }
        }
    }

    .chart {
        width: 50%;
        height: 100%;
        display: flex;
        flex-direction: column;
        gap: 24px;
        align-items: center;

        .item {
            width: 100%;
            text-align: center;

            .chart-container {
                max-width: 210px;
                width: 100%;
                margin: auto;
                position: relative;
                display: flex;
                justify-content: center;
                align-items: center;
            }
        }

        .labels {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: row;
            width: 100%;
            gap: 20px;
            flex-wrap: wrap;

            .label-item {
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 5px;

                color: #000000;
                font-weight: 400;
                font-size: 12px;
                line-height: 15px;

                .item-color {
                    width: 10px;
                    height: 10px;
                    border-radius: 50%;
                }
            }
        }
    }

    .details {
        width: 40%;

        table {
            .ability-cell {
                display: flex;
                flex-direction: column;

                .ability {
                    color: #8B5252;
                    font-weight: 600;
                }

                .detail {
                    color: #8E91A0;
                    font-size: 13px;
                    font-style: italic;
                    font-weight: 500;
                    line-height: 20px;
                }
            }

            .percent {
                font-weight: 500;
            }
        }
    }
}